Download a video by option id.
curl --request GET \
--url https://api.magnific.com/v1/videos/{id}/options/{option-id}/download \
--header 'x-magnific-api-key: <api-key>'import requests
url = "https://api.magnific.com/v1/videos/{id}/options/{option-id}/download"
headers = {"x-magnific-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-magnific-api-key': '<api-key>'}};
fetch('https://api.magnific.com/v1/videos/{id}/options/{option-id}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"filename": "_import_61490450321f37.49858282.mov",
"url": "https://joy1.videvo.net/verify_download_video.php?path=video/free/video0466&vid=_import_61490450321f37.49858282.mov&source=freepik&videvo_id=1109082&filename=1109082_1080p_4k_2k_4096x2160.mov&verify=lkdadslfjads3434"
}
}
Videos API
Download a video by option id.
GET
/
v1
/
videos
/
{id}
/
options
/
{option-id}
/
download
Download a video by option id.
Authorizations
Your Magnific API key. Required for authentication. Learn how to obtain an API key
Headers
Specifies the search query language using the ISO 639-1 (2-letter language code) and the ISO 3166-1 (2-letter country code) for language variants. The API will use "en-US" as a default language for processing if a code is not provided, or does not exist.
Path Parameters
Video id
Required range:
x >= 1Video option id
Required range:
x >= 1Response
OK
Show child attributes
Show child attributes
Example:
{ "filename": "blackboard-template.zip", "url": "https://downloadscdn5.freepik.com/d/1137445/blackboard-template.zip" }
Was this page helpful?
⌘I